
Vouchwell
io.github.Vouchwell由 GitHub 帳號 Vouchwell 發布v0.8.0更新於 Oct 24, 2026
Read, verify and export a tamper-evident log of what an AI agent did. Read-only.
概覽
讓助理透過政策閘道執行其他 MCP 伺服器,攔截或升級高風險工具呼叫,並產生可驗證的憑據。
- 可以做什麼
- Vouchwell 代理 MCP 伺服器,讓每次工具呼叫在執行前先經過政策檢查,每個決定——允許、阻擋或升級給人工——都寫入僅可附加的日誌(R5、R7)。憑據採用 RFC 8785 標準形式的 Ed25519 簽章、雜湊鏈結,並錨定於 RFC 6962 Merkle 日誌,參數以加鹽承諾保存(R11、R12、R13、R15)。指令涵蓋初始化日誌與政策、檢視、端對端驗證、產生包含證明、匯出給第三方的證據包,以及銷毀內容承諾(R17)。
- 適用情境
- 當代理會花錢、寄信或接觸客戶資料,而你需要執行前攔截決策,並需要第三方無須信任你的日誌即可驗證的證據時使用(R3、R4、R10)。適合想在現有 MCP 伺服器外加上政策執行與可稽核性的團隊,以及在 CI 中偵測日誌遭竄改的情境(R18)。它不能取代涵蓋代理存取 API 的所有路徑(R20)。
- 執行需求
- 以本機 stdio 程序在桌面端執行,透過 npm 套件 vouchwell 安裝(npm install -g vouchwell,接著 vw init)(R5)。未宣告驗證、環境變數或標頭。可選的 hub 功能(vw remote add、vw push、vw cosign)需要連線至 hub(R17)。
安裝
在 SourceWeft 中
- 開啟 儀表板中的 Vouchwell,將其新增到工作區。
- 為需要使用其工具的對話啟用該服務。
Desktop only,透過 STDIO。 STDIO 服務會啟動本機處理程序,因此需要 SourceWeft 桌面主機。
其他 MCP 客戶端
參照 儲存庫 中的啟動說明。
README
vouchwell
Tamper-evident receipts for AI agent actions.
Your agents spend money, send mail, and touch customer data. When something goes wrong, "our logs say it didn't" is not an answer — your logs are a text file you can edit.
Vouchwell makes every agent action policy-gated before it runs and cryptographically provable afterwards.
Then wrap any MCP server — this is the whole integration:
Every tool call now hits your policy first, and every decision — allowed, blocked, or escalated to a human — lands in an append-only log an outside party can verify without trusting you.
Why it is not just logging
Everyone is building agent observability — dashboards you have to take on faith. Vouchwell builds agent evidence: a record whose integrity a third party can check independently, using nothing but the file you hand them.
- Signed — Ed25519 over an RFC 8785 canonical form.
- Chained — each receipt commits to its predecessor's hash.
- Tree-anchored — RFC 6962 Merkle log, the construction Certificate Transparency uses. Verified against the published CT reference vectors.
- Sealed — arguments are salted commitments, not payloads. Destroy the salts and those payloads become permanently unopenable while every proof still verifies, so a GDPR erasure does not gut the audit trail.
Commands
vw verify exits non-zero when a log has been altered — put it in CI.
What it does not do
- It cannot prove an action it never saw. An agent with a second, unwrapped path to the same API leaves no receipt.
- The cryptography has not been reviewed by anyone independent. It is pinned to published RFC 6962 and RFC 8032 vectors rather than only to itself, but that is not the same thing.
Full threat model: https://github.com/vouchwell/vouchwell/blob/main/docs/THREAT-MODEL.md
Part of Vouchwell
Full documentation: https://github.com/vouchwell/vouchwell
Apache-2.0. The format, the verifier and the CLI are open and stay open: evidence you cannot verify without a vendor's permission is not evidence.
來源:packages/cli/README.md,提交 ec9d07b
工具
0版本歷史
1- v0.8.0最新Oct 14, 2026
評分
已滿足適用檢查項的 40%
該評分衡量此收錄條目的完整程度,依據註冊中心條目、端點與公開來源計算得出。它不是對伺服器本身的評價,也不表示伺服器安全或目前可用:可連通性是帶日期的檢查結果,評分也不包含安裝量或使用者評價。
- 近 30 天內可連通25 分
請保持端點能夠回應 MCP 握手;SourceWeft 每 30 天探測一次。
- 已宣告認證方式10 分
請在註冊中心條目中宣告憑證請求標頭,或保持端點能夠回應探測,以便判定其認證方式。
- 已列出工具15 分
請讓伺服器在無憑證時回應 tools/list,或發布可在沙箱中無憑證啟動的軟體包。
- 描述必需15 分
- 圖示10 分
- 文件15 分
- 授權條款10 分
請在儲存庫或註冊中心條目中宣告授權條款。